Package org.springframework.security.web.webauthn.api

# Class UserVerificationRequirement

java.lang.Object
org.springframework.security.web.webauthn.api.UserVerificationRequirement

All Implemented Interfaces:
  `Serializable`

public final class UserVerificationRequirement extends Object implements Serializable
UserVerificationRequirement is used by the Relying Party to indicate if user verification is needed.

Since:
  6.4
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final UserVerificationRequirement`
`DISCOURAGED`
The discouraged value indicates that the Relying Party does not want user verification employed during the operation (e.g., in the interest of minimizing disruption to the user interaction flow).
`static final UserVerificationRequirement`
`PREFERRED`
The preferred value indicates that the Relying Party prefers user verification for the operation if possible, but will not fail the operation if the response does not have the UV flag set.
`static final UserVerificationRequirement`
`REQUIRED`
The required value indicates that the Relying Party requires user verification for the operation and will fail the overall ceremony if the response does not have the UV flag set.

## Method Summary

Modifier and Type
Method
Description
`String`
`getValue()`
Gets the value

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DISCOURAGED

public static final UserVerificationRequirement DISCOURAGED
The discouraged value indicates that the Relying Party does not want user verification employed during the operation (e.g., in the interest of minimizing disruption to the user interaction flow).

### PREFERRED

public static final UserVerificationRequirement PREFERRED
The preferred value indicates that the Relying Party prefers user verification for the operation if possible, but will not fail the operation if the response does not have the UV flag set.

### REQUIRED

public static final UserVerificationRequirement REQUIRED
The required value indicates that the Relying Party requires user verification for the operation and will fail the overall ceremony if the response does not have the UV flag set.

## Method Details

### getValue

public String getValue()
Gets the value

Returns:
  the value